.block-cookbook.has-background {
	padding: 0;
}

.block-cookbook__content {
	padding: 0 24px 24px;
	font-size: var(--wp--preset--font-size--small);
	text-align: center;
}

.block-cookbook__image {
	position: relative;
}

.block-cookbook__image::before {
	background: url(../../assets/patterns/p5-dark.png) repeat center;
	background-size: 300px;
	content: '';
	display: block;
	z-index: 1;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 50%;
}

.block-cookbook__image img {
	max-width: 375px;
	margin-inline: auto;
	position: relative;
	z-index: 2;
}

@media only screen and (min-width: 767px) {
	.block-cookbook-wrap {
		background: url(../../assets/patterns/p5-dark.png) repeat center;
		background-size: 300px;
		padding-block: 32px;
	}

	.block-cookbook-wrap .block-cookbook__image {
		margin: -40px;
	}

	.block-cookbook-wrap .block-cookbook__image::before {
		display: none;
	}

	.block-cookbook-wrap .block-cookbook--has-image {
		display: grid;
		grid-template-columns: 400px 1fr;
		align-items: center;
	}

	.block-cookbook-wrap .block-cookbook__content {
		padding: 40px 40px 40px 0;
	}
}

.full-width-content .editor-styles-wrapper .wp-block.wp-block-cwp-cookbook {
	max-width: 100% !important;
	background-color: transparent !important;
}

.full-width-content .editor-styles-wrapper .wp-block.wp-block-cwp-cookbook > .block-cookbook {
	max-width: var(--wp--custom--layout--wide);
	margin-inline: auto;
}
